import { CanvasToolType } from "../enums/canvas-tool-type";
import { CanvasObjectType } from "../enums/canvas-object-type";
export interface CanvasTool {
    dispose: () => void;
    initialize: () => void;
    toolType: CanvasToolType;
}
export interface CanvasToolSettings {
    type: CanvasObjectType;
}
export interface ToolConfig {
    canvas: HTMLCanvasElement;
    context: CanvasRenderingContext2D;
    redraw: () => void;
}
declare class BaseCanvasTool {
    protected _canvas: HTMLCanvasElement;
    protected _config: ToolConfig;
    protected _context: CanvasRenderingContext2D;
    constructor(toolConfig: ToolConfig);
}
export { BaseCanvasTool };
