import { CanvasDrawToolSettings, CanvasDrawTool, DrawToolConfig, BaseCanvasDrawTool } from "./base-canvas-draw-tool";
import { CanvasToolType } from "../enums/canvas-tool-type";
export interface LineStrokeSettings extends CanvasDrawToolSettings {
    endX: number;
    endY: number;
    startX: number;
    startY: number;
}
declare class LineCanvasDrawTool extends BaseCanvasDrawTool implements CanvasDrawTool {
    toolType: CanvasToolType;
    constructor(drawToolConfig: DrawToolConfig);
    dispose(): void;
    drawStrokes(strokes: CanvasDrawToolSettings[]): void;
    initialize(): void;
    private _addEventListeners;
    private _drawInteraction;
    private _drawStroke;
    private _finishStroke;
    private _getStrokeSettings;
    private _move;
    private _removeEventListeners;
    private _startStroke;
    private _onMouseDownCanvas;
    private _onMouseMoveCanvas;
    private _onMouseUpWindow;
    private _onTouchEndWindow;
    private _onTouchMoveCanvas;
    private _onTouchStartCanvas;
}
export { LineCanvasDrawTool };
