import { CanvasToolType } from "../enums/canvas-tool-type";
export interface PanConfig {
    canvas: HTMLCanvasElement;
    context: CanvasRenderingContext2D;
    panTo: (moveX: number, moveY: number) => void;
}
declare class PanCanvasTool {
    toolType: CanvasToolType;
    private _config;
    private _isPointerActive;
    private _lastPosition;
    constructor(panConfig: PanConfig);
    dispose(): void;
    initialize(): void;
    private _addCursor;
    private _addEventListeners;
    private _finishPan;
    private _pan;
    private _removeCursor;
    private _removeEventListeners;
    private _startPan;
    private _onMouseDownCanvas;
    private _onMouseMoveCanvas;
    private _onMouseUpWindow;
    private _onTouchEndWindow;
    private _onTouchMoveCanvas;
    private _onTouchStartCanvas;
}
export { PanCanvasTool };
